import os

from edge_engine.edge_processor import ExecutePipeline
from edge_engine.edge_processor import Pubs
from scripts import ActionRecognition
from edge_engine.common.config import EDGE_CONFIG
import time
if __name__ == '__main__':
    pubs = Pubs()
    mod = ActionRecognition(config=EDGE_CONFIG,
                           model_config=EDGE_CONFIG["modelConfig"],
                           pubs=pubs,
                           device_id=EDGE_CONFIG['deviceId'])
    # mod._predict()
    ex = ExecutePipeline(mod)

    ex.run_model()
